summaryrefslogtreecommitdiff
path: root/posix/globtest.sh
diff options
context:
space:
mode:
authorUlrich Drepper <drepper@redhat.com>2003-10-27 01:36:12 +0000
committerUlrich Drepper <drepper@redhat.com>2003-10-27 01:36:12 +0000
commit5a4b5076f1e002ebb43ccbab7d84dfa76d96146e (patch)
tree1984a0b90076335862befa306ff274627c8af1b4 /posix/globtest.sh
parent98d2ca3d87a854f163d6989dc8b22aee63588c09 (diff)
Update.
* include/dlfcn.h (__RTLD_OPENEXEC): Define. * elf/dl-load.c (_dl_map_object_from_fd): Don't allow loading executables unless __RTLD_OPENEXEC flag is present. * elf/rtld.c (dl_main): Pass __RTLD_OPENEXEC flag to _dl_map_object when loading the executable. reverse lookup format for IPv6 addresses is using bitstring and * resolv/ns_name.c: Implement encoding and decoding bitstring in
Diffstat (limited to 'posix/globtest.sh')
-rwxr-xr-xposix/globtest.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/posix/globtest.sh b/posix/globtest.sh
index a0c03d3246..09af6f74f5 100755
--- a/posix/globtest.sh
+++ b/posix/globtest.sh
@@ -687,6 +687,25 @@ if test $failed -ne 0; then
result=1
fi
+# Test [[:punct:]] not matching leading period.
+failed=0
+${elf_objpfx}${rtld_installed_name} --library-path ${library_path} \
+${common_objpfx}posix/globtest -c "$testdir" "[[:punct:]]*" |
+sort > $testout
+cat <<"EOF" | $CMP - $testout >> $logfile || failed=1
+`*file6'
+`-file3'
+`\file9b\'
+`\{file8\}'
+`\{file9\,file9b\}'
+`{file7,}'
+`~file4'
+EOF
+if test $failed -ne 0; then
+ echo "Punct test failed" >> $logfile
+ result=1
+fi
+
if test $result -eq 0; then
chmod 777 $testdir/noread
rm -fr $testdir $testout